body,
html {
    height: 100%;
    overflow: hidden;
    margin: 0;
    padding: 0;
    font-family: -apple-system, BlinkMacSystemFont, Tahoma, Arial,
    Hiragino Sans GB, Microsoft YaHei, sans-serif;
    background: #FFFFFF !important;
}

#back-button {
    display: none;
}

.back-icon {
    position: absolute;
    top: 60px;
    left: 20px;
    width: 24px;
    height: 24px;
    cursor: pointer;
}

#main {
    height: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
}

#container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    height: 100%;
    box-sizing: border-box;
}

#site-footer {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
    gap: 10px;
    padding: 20px 0 20px;
    font-size: 14px;
    line-height: 1.6;
    border-top: 2px solid #e9ecef;
}

.footer-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
}

.footer-content .picture {
    width: 30px;
    height: 30px;
}

.footer-content .copyright {
    font-weight: bold;
}

.footer-beian {
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap: 10px;
}

.footer-beian .picture{
    display: inline-block;
    height: 20px;
    width: auto;
}

.footer-beian a{
    color: #6a6a6a;
}

.title {
    font-size: 30px;
    font-weight: 600;
    text-align: center;
    margin-bottom: 12px;
}

.subtitle {
    display: flex;
    flex-direction: column;
    gap: 12px;
    font-size: 14px;
    color: gray;
}

.bg {
    flex-grow: 1;
    width: 15vw;
    max-height: 10vh;
    object-fit: contain;
    margin-top: 100px;
    margin-bottom: 40px;
}

@media (max-width: 599px) {
    .title {
        font-size: 20px;
    }

    .subtitle {
        font-size: 14px;
    }

    .bg {
        width: 100px;
        max-height: 100px;
        margin-top: 25vh;
        margin-bottom: 5vh;
    }

}

@media (min-width: 600px) {
    .subtitle {
        font-size: 14px;
    }

    .bg {
        width: 15vw;
    }
}


@media (min-width: 1024px) {
    .subtitle {
        font-size: 16px;
    }

}
